# Maestro2CharmmGUI
PDB Format transformation from Maestro to CHARMM-GUI. This can make the CHARMM-GUI recognise the original orientation of the hydrogen atoms generated by Maestro.

## Get started
``` bash
# install by pypi
pip install maestro2charmmgui

# install by poetry
poetry add maestro2charmmgui
```

```python
from maestro2charmmgui.rename import transform_with_resname

# rename the atoms by using a residue-based corresponding dictionary with a single function
input = "path/to/pdbfile.pdb"
output = "path/to/pdbfile_charmm.pdb"

transform_with_resname(input, output)

```
For further usage, see the [jupyter notebook](https://github.com/fornililab/Maestro2CharmmGUI/rename_Hs.ipynb) for renaming the hydrogens defined in Maestro into CHARMM's definition. 

## Change log
### 0.1.5
* addional hydrogen at terminal nitrogen renaming (H -> HT3)
* change the order of the conditions of universal modifications of the hydrogen and the termini atoms' modification

## Developer note
Check whether it works:

```bash
poetry run pytest

# 2 passed, 1 warnining
```