universal_mod = {"H": "HN"}
Nterm_mod = {"H1": "HT1", "H2": "HT2", "H3": "HT3", "H": "HT3"}
Cterm_mod = {"O": "OT1", "OXT": "OT2"}
res_mod = {
    # Amino acids
    "ALA": {},  # No modifications
    "THR": {},  # No modifications
    "VAL": {},  # No modifications
    "ARG": {
        "HB3": "HB2",
        "HB2": "HB1",
        "HD3": "HD2",
        "HD2": "HD1",
        "HG3": "HG2",
        "HG2": "HG1",
    },
    "ASN": {"HB3": "HB2", "HB2": "HB1"},
    "ASP": {"HB3": "HB2", "HB2": "HB1"},
    "CYS": {"HB3": "HB2", "HB2": "HB1", "HG": "HG1"},
    "GLN": {"HB3": "HB2", "HB2": "HB1", "HG3": "HG2", "HG2": "HG1"},
    "GLU": {"HB3": "HB2", "HB2": "HB1", "HG3": "HG2", "HG2": "HG1"},
    "GLY": {"HA3": "HA2", "HA2": "HA1"},
    "HIS": {"HB3": "HB2", "HB2": "HB1"},
    "ILE": {
        "CD1": "CD",
        "HD11": "HD1",
        "HD12": "HD2",
        "HD13": "HD3",
        "HG13": "HG12",
        "HG12": "HG11",
    },
    "LEU": {"HB3": "HB2", "HB2": "HB1"},
    "LYS": {
        "HB3": "HB2",
        "HB2": "HB1",
        "HD3": "HD2",
        "HD2": "HD1",
        "HE3": "HE2",
        "HE2": "HE1",
        "HG3": "HG2",
        "HG2": "HG1",
    },
    "MET": {"HB3": "HB2", "HB2": "HB1", "HG3": "HG2", "HG2": "HG1"},
    "PHE": {"HB3": "HB2", "HB2": "HB1"},
    "PRO": {
        "HB3": "HB2",
        "HB2": "HB1",
        "HD3": "HD2",
        "HD2": "HD1",
        "HG3": "HG2",
        "HG2": "HG1",
    },
    "SER": {"HB3": "HB2", "HB2": "HB1", "HG": "HG1"},
    "TRP": {"HB3": "HB2", "HB2": "HB1"},
    "TYR": {"HB3": "HB2", "HB2": "HB1"},
    # ligands
    "B12": {
        "H1P1": "H66",
        "H1P2": "H67",
        "H201": "H20A",
        "H202": "H20B",
        "H203": "H20C",
        "H251": "H25A",
        "H252": "H25B",
        "H253": "H25C",
        "H261": "H26A",
        "H262": "H26B",
        "H291": "H29A",
        "H292": "H29B",
        "H301": "H30A",
        "H302": "H30B",
        "H311": "H31A",
        "H312": "H31B",
        "H331": "H33A",
        "H332": "H33B",
        "H351": "H35A",
        "H352": "H35B",
        "H353": "H35C",
        "H361": "H36A",
        "H362": "H36B",
        "H363": "H36C",
        "H371": "H37A",
        "H372": "H37B",
        "H3P1": "H3PA",
        "H3P2": "H3PB",
        "H3P3": "H3PC",
        "H401": "H40A",
        "H402": "H40B",
        "H411": "H41A",
        "H412": "H41B",
        "H421": "H42A",
        "H422": "H42B",
        "H451": "H45A",
        "H452": "H45B",
        "H461": "H46A",
        "H462": "H46B",
        "H463": "H46C",
        "H471": "H47A",
        "H472": "H47B",
        "H473": "H47C",
        "H481": "H48A",
        "H482": "H48B",
        "H491": "H49A",
        "H492": "H49B",
        "H521": "H52A",
        "H522": "H52B",
        "H531": "H53A",
        "H532": "H53B",
        "H533": "H53C",
        "H541": "H54A",
        "H542": "H54B",
        "H543": "H54C",
        "H551": "H55A",
        "H552": "H55B",
        "H561": "H56A",
        "H562": "H56B",
        "H5M1": "H5MA",
        "H5M2": "H5MB",
        "H5M3": "H5MC",
        "H5R1": "H5RA",
        "H5R2": "H5RB",
        "H601": "H60A",
        "H602": "H60B",
        "H621": "H62A",
        "H622": "H62B",
        "H6M1": "H6MA",
        "H6M2": "H6MB",
        "H6M3": "H6MC",
        "HC10": "H10",
        "HC13": "H13",
        "HC18": "H18",
        "HC19": "H19",
        "HC1R": "H1R",
        "HC2B": "H2B",
        "HC2P": "H2P",
        "HC2R": "H2R",
        "HC3": "H3",
        "HC3R": "H3R",
        "HC4B": "H4B",
        "HC4R": "H4R",
        "HC7B": "H7B",
        "HC8": "H8",
        "HN59": "H59",
        "HO7R": "H7R",
        "HO8R": "H8R",
    },
}
